// ===========================================================================
// CONTENT  : ABSTRACT CLASS ExceptionAssertion
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 28/08/2014
// HISTORY  :
//  28/08/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.junit;

// ===========================================================================
// IMPORTS
// ===========================================================================
import static  org.junit.Assert.*;

/**
 * A generic assertion for expected exceptions.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
abstract public class ExceptionAssertion
{
  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  public ExceptionAssertion()
  {
    super();
  } // ExceptionAssertion()

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  abstract public void run() throws Exception; 
  
  // -------------------------------------------------------------------------
  
  public void assertException(final Class<? extends Throwable> exceptionType) 
  {
    try
    {
      this.run();
      fail("Expected " + exceptionType.getCanonicalName());
    }
    catch (Exception ex)
    {
      assertTrue(exceptionType.isInstance(ex));
    }
  } // assertException() 
  
  // -------------------------------------------------------------------------

} // class ExceptionAssertion
