package org.pfsw.oauth;

import static org.junit.Assert.*;

import org.junit.Test;
import org.pfsw.oidc.testhelper.UnitTestHelper;
import org.pfsw.text.json.JsonObject;

public class TokenIntrospectionResultConverterTest
{
  @Test
  public void test_convertToInternal() throws ConversionException
  {
    JsonObject jsonObject;
    TokenIntrospectionResultConverter converter = new TokenIntrospectionResultConverter();
    TokenIntrospectionResult result;
    
    jsonObject = UnitTestHelper.readJsonObjectFrom("token-inrospection-result-1.json");
    result = converter.convertToInternal(jsonObject);
    assertTrue(result.isActive());
    assertEquals("https://idp4.pfsw.org", result.getIssuer());
    assertEquals("89723-3823-1382346-1237", result.getSubject());
    assertEquals("Bearer", result.getTokenType());
    assertEquals("a765-f373-e8d2-de7b", result.getClientId());
    assertEquals("longbottom", result.getUsername());
  }
}