// ===========================================================================
// CONTENT  : TEST CLASS OpenIdConnectTokenHandlerTest
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 26/08/2014
// HISTORY  :
//  26/08/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.oidc.token;

// ===========================================================================
// IMPORTS
// ===========================================================================
import static org.junit.Assert.*;

import org.junit.Test;
import org.pfsw.oidc.testhelper.UnitTestHelper;

public class OpenIdConnectTokenHandlerTest
{
  @Test
  public void test_parseTokenResponse() 
  {
    OpenIdConnectTokenHandler handler = new OpenIdConnectTokenHandler();
    TokenData tokenData;
    
    tokenData = handler.parseTokenResponse(getIdTokenSample1());
    assertNotNull(tokenData);
    assertNotNull(tokenData.getAccessToken());    
    assertNotNull(tokenData.getIdToken());    
    assertNotNull(tokenData.getRefreshToken());    
    assertNotNull(tokenData.getExpiresAt());    
    assertFalse(tokenData.isExpired());    
  }
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================
  protected String getIdTokenSample1() 
  {
    return UnitTestHelper.readTestData("id-token-sample1.json");
  } 
} 
